## DMS Get PRL Version request DMS Get PRL Version request |

## Functions

QmiMessageDmsGetPrlVersionOutput * | qmi_message_dms_get_prl_version_output_ref ()
void | qmi_message_dms_get_prl_version_output_unref ()
gboolean | qmi_message_dms_get_prl_version_output_get_result ()
gboolean | qmi_message_dms_get_prl_version_output_get_version ()
gboolean | qmi_message_dms_get_prl_version_output_get_prl_only_preference ()
void | qmi_client_dms_get_prl_version ()
QmiMessageDmsGetPrlVersionOutput * | qmi_client_dms_get_prl_version_finish ()

## Types and Values

| QmiMessageDmsGetPrlVersionOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsGetPrlVersionOutput

## Description

## Functions

### qmi_message_dms_get_prl_version_output_ref ()

    QmiMessageDmsGetPrlVersionOutput *
    qmi_message_dms_get_prl_version_output_ref
                                   (QmiMessageDmsGetPrlVersionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetPrlVersionOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_get_prl_version_output_unref ()

    void
    qmi_message_dms_get_prl_version_output_unref
                                   (QmiMessageDmsGetPrlVersionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetPrlVersionOutput. |

Since: 1.0

### qmi_message_dms_get_prl_version_output_get_result ()

    gboolean
    qmi_message_dms_get_prl_version_output_get_result
                                   (QmiMessageDmsGetPrlVersionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsGetPrlVersionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_message_dms_get_prl_version_output_get_version ()

    gboolean
    qmi_message_dms_get_prl_version_output_get_version
                                   (QmiMessageDmsGetPrlVersionOutput *self,
                                    guint16 *value_version,
                                    GError **error);

Get the 'Version' field from `self` .

#### Parameters

self | a QmiMessageDmsGetPrlVersionOutput. |
value_version | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_get_prl_version_output_get_prl_only_preference ()

    gboolean
    qmi_message_dms_get_prl_version_output_get_prl_only_preference
                                   (QmiMessageDmsGetPrlVersionOutput *self,
                                    gboolean *value_prl_only_preference,
                                    GError **error);

Get the 'PRL Only Preference' field from `self` .

#### Parameters

self | a QmiMessageDmsGetPrlVersionOutput. |
value_prl_only_preference | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_client_dms_get_prl_version ()

    void
    qmi_client_dms_get_prl_version (QmiClientDms *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get PRL Version request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_get_prl_version_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_get_prl_version_finish ()

    QmiMessageDmsGetPrlVersionOutput *
    qmi_client_dms_get_prl_version_finish (QmiClientDms *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_dms_get_prl_version()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_get_prl_version()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsGetPrlVersionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_get_prl_version_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsGetPrlVersionOutput

    typedef struct _QmiMessageDmsGetPrlVersionOutput QmiMessageDmsGetPrlVersionOutput;

The QmiMessageDmsGetPrlVersionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0